<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::NetworkData::ContextTlv Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('df/d56/classThread_1_1NetworkData_1_1ContextTlv.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d2/da6/classThread_1_1NetworkData_1_1ContextTlv-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::NetworkData::ContextTlv Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d6/de8/group__core-netdata.html">Network Data</a> &raquo; <a class="el" href="../../da/da3/group__core-netdata-tlvs.html">TLVs</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements Context TLV generation and processing.  
 <a href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d1/d19/network__data__tlvs_8hpp_source.html">src/core/thread/network_data_tlvs.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::NetworkData::ContextTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/dd0/classThread_1_1NetworkData_1_1ContextTlv__inherit__graph.png" border="0" usemap="#Thread_1_1NetworkData_1_1ContextTlv_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1NetworkData_1_1ContextTlv_inherit__map" id="Thread_1_1NetworkData_1_1ContextTlv_inherit__map">
<area shape="rect" id="node2" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html" title="This class implements Thread Network Data TLV generation and parsing. " alt="" coords="5,5,153,44"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::NetworkData::ContextTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/dc7/classThread_1_1NetworkData_1_1ContextTlv__coll__graph.png" border="0" usemap="#Thread_1_1NetworkData_1_1ContextTlv_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1NetworkData_1_1ContextTlv_coll__map" id="Thread_1_1NetworkData_1_1ContextTlv_coll__map">
<area shape="rect" id="node2" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html" title="This class implements Thread Network Data TLV generation and parsing. " alt="" coords="5,5,153,44"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a113804489e2f9fa8331e3803a0d091a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a113804489e2f9fa8331e3803a0d091a7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#a113804489e2f9fa8331e3803a0d091a7">Init</a> ()</td></tr>
<tr class="memdesc:a113804489e2f9fa8331e3803a0d091a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the TLV. <br /></td></tr>
<tr class="separator:a113804489e2f9fa8331e3803a0d091a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae96bcfdca23efdaf89e9ea4cd2550f81"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#ae96bcfdca23efdaf89e9ea4cd2550f81">IsCompress</a> () const </td></tr>
<tr class="memdesc:ae96bcfdca23efdaf89e9ea4cd2550f81"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the Compress flag is set.  <a href="#ae96bcfdca23efdaf89e9ea4cd2550f81">More...</a><br /></td></tr>
<tr class="separator:ae96bcfdca23efdaf89e9ea4cd2550f81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11702200453f94f23ed25d876429df4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11702200453f94f23ed25d876429df4d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#a11702200453f94f23ed25d876429df4d">ClearCompress</a> ()</td></tr>
<tr class="memdesc:a11702200453f94f23ed25d876429df4d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method clears the Compress flag. <br /></td></tr>
<tr class="separator:a11702200453f94f23ed25d876429df4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae76fc3fc66d06499b9f36caab5f1e599"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae76fc3fc66d06499b9f36caab5f1e599"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#ae76fc3fc66d06499b9f36caab5f1e599">SetCompress</a> ()</td></tr>
<tr class="memdesc:ae76fc3fc66d06499b9f36caab5f1e599"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Compress flag. <br /></td></tr>
<tr class="separator:ae76fc3fc66d06499b9f36caab5f1e599"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a354b3c51fe5e9162a905759392f7a239"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#a354b3c51fe5e9162a905759392f7a239">GetContextId</a> () const </td></tr>
<tr class="memdesc:a354b3c51fe5e9162a905759392f7a239"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Context ID value.  <a href="#a354b3c51fe5e9162a905759392f7a239">More...</a><br /></td></tr>
<tr class="separator:a354b3c51fe5e9162a905759392f7a239"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a436bddda3ee77f005a83f97f35e71bfb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#a436bddda3ee77f005a83f97f35e71bfb">SetContextId</a> (uint8_t aContextId)</td></tr>
<tr class="memdesc:a436bddda3ee77f005a83f97f35e71bfb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Context ID value.  <a href="#a436bddda3ee77f005a83f97f35e71bfb">More...</a><br /></td></tr>
<tr class="separator:a436bddda3ee77f005a83f97f35e71bfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a749270f55d70ce72391410c7e504f215"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#a749270f55d70ce72391410c7e504f215">GetContextLength</a> () const </td></tr>
<tr class="memdesc:a749270f55d70ce72391410c7e504f215"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Context Length value.  <a href="#a749270f55d70ce72391410c7e504f215">More...</a><br /></td></tr>
<tr class="separator:a749270f55d70ce72391410c7e504f215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4be9b8bbcde6083724a07320f00aede0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#a4be9b8bbcde6083724a07320f00aede0">SetContextLength</a> (uint8_t aLength)</td></tr>
<tr class="memdesc:a4be9b8bbcde6083724a07320f00aede0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Context Length value.  <a href="#a4be9b8bbcde6083724a07320f00aede0">More...</a><br /></td></tr>
<tr class="separator:a4be9b8bbcde6083724a07320f00aede0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv')"><img src="../../closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html">Thread::NetworkData::NetworkDataTlv</a></td></tr>
<tr class="memitem:aac4e144713568670ae504b4d40bbcc5d inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac4e144713568670ae504b4d40bbcc5d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#aac4e144713568670ae504b4d40bbcc5d">Init</a> ()</td></tr>
<tr class="memdesc:aac4e144713568670ae504b4d40bbcc5d inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes TLV. <br /></td></tr>
<tr class="separator:aac4e144713568670ae504b4d40bbcc5d inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30c105cfada5eeffd6a9f99c9187ee84 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a21bf7963c4b206ccaa797c431831f9c1">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a30c105cfada5eeffd6a9f99c9187ee84">GetType</a> () const </td></tr>
<tr class="memdesc:a30c105cfada5eeffd6a9f99c9187ee84 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Type value.  <a href="#a30c105cfada5eeffd6a9f99c9187ee84">More...</a><br /></td></tr>
<tr class="separator:a30c105cfada5eeffd6a9f99c9187ee84 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16dd006580876eac0a702c12b6f9db81 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a16dd006580876eac0a702c12b6f9db81">SetType</a> (<a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a21bf7963c4b206ccaa797c431831f9c1">Type</a> aType)</td></tr>
<tr class="memdesc:a16dd006580876eac0a702c12b6f9db81 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Type value.  <a href="#a16dd006580876eac0a702c12b6f9db81">More...</a><br /></td></tr>
<tr class="separator:a16dd006580876eac0a702c12b6f9db81 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8fa9bac54dd256c88ccc5df8e3b0ef8 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#ae8fa9bac54dd256c88ccc5df8e3b0ef8">GetLength</a> () const </td></tr>
<tr class="memdesc:ae8fa9bac54dd256c88ccc5df8e3b0ef8 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Length value.  <a href="#ae8fa9bac54dd256c88ccc5df8e3b0ef8">More...</a><br /></td></tr>
<tr class="separator:ae8fa9bac54dd256c88ccc5df8e3b0ef8 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a317f61172c3e2a2c6e03caa4921014d5 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a317f61172c3e2a2c6e03caa4921014d5">SetLength</a> (uint8_t aLength)</td></tr>
<tr class="memdesc:a317f61172c3e2a2c6e03caa4921014d5 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Length value.  <a href="#a317f61172c3e2a2c6e03caa4921014d5">More...</a><br /></td></tr>
<tr class="separator:a317f61172c3e2a2c6e03caa4921014d5 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48c613c8f16703f3af0480e4d4c588b9 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memItemLeft" align="right" valign="top">uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a48c613c8f16703f3af0480e4d4c588b9">GetValue</a> ()</td></tr>
<tr class="memdesc:a48c613c8f16703f3af0480e4d4c588b9 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the Value.  <a href="#a48c613c8f16703f3af0480e4d4c588b9">More...</a><br /></td></tr>
<tr class="separator:a48c613c8f16703f3af0480e4d4c588b9 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af812881954a5608981bfa430eca30731 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html">NetworkDataTlv</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af812881954a5608981bfa430eca30731">GetNext</a> ()</td></tr>
<tr class="memdesc:af812881954a5608981bfa430eca30731 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the next Network Data TLV.  <a href="#af812881954a5608981bfa430eca30731">More...</a><br /></td></tr>
<tr class="separator:af812881954a5608981bfa430eca30731 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4859aa514ee48c935c7af7bb7b2f7fa inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4859aa514ee48c935c7af7bb7b2f7fa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#aa4859aa514ee48c935c7af7bb7b2f7fa">ClearStable</a> ()</td></tr>
<tr class="memdesc:aa4859aa514ee48c935c7af7bb7b2f7fa inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method clears the Stable bit. <br /></td></tr>
<tr class="separator:aa4859aa514ee48c935c7af7bb7b2f7fa inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf2d4444312a7b915bfd8005aee13fa8 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#acf2d4444312a7b915bfd8005aee13fa8">IsStable</a> () const </td></tr>
<tr class="memdesc:acf2d4444312a7b915bfd8005aee13fa8 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the Stable bit is set.  <a href="#acf2d4444312a7b915bfd8005aee13fa8">More...</a><br /></td></tr>
<tr class="separator:acf2d4444312a7b915bfd8005aee13fa8 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2986c36cf84c021c3a7920af0e9b901 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2986c36cf84c021c3a7920af0e9b901"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af2986c36cf84c021c3a7920af0e9b901">SetStable</a> ()</td></tr>
<tr class="memdesc:af2986c36cf84c021c3a7920af0e9b901 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Stable bit. <br /></td></tr>
<tr class="separator:af2986c36cf84c021c3a7920af0e9b901 inherit pub_methods_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classThread_1_1NetworkData_1_1NetworkDataTlv"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classThread_1_1NetworkData_1_1NetworkDataTlv')"><img src="../../closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html">Thread::NetworkData::NetworkDataTlv</a></td></tr>
<tr class="memitem:a21bf7963c4b206ccaa797c431831f9c1 inherit pub_types_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a21bf7963c4b206ccaa797c431831f9c1">Type</a> { <br />
&#160;&#160;<a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a21bf7963c4b206ccaa797c431831f9c1a3dc3074239a1994272346630de327b9d">kTypeHasRoute</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a21bf7963c4b206ccaa797c431831f9c1a3cd5c87eab47ce8494682b07f35e9fb2">kTypePrefix</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a21bf7963c4b206ccaa797c431831f9c1a7fa976557b76770546d06d4577e4c9f9">kTypeBorderRouter</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a21bf7963c4b206ccaa797c431831f9c1aff7ce45144c62e6c62f9504e1134e7d0">kTypeContext</a> = 3, 
<br />
&#160;&#160;<a class="el" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a21bf7963c4b206ccaa797c431831f9c1a4646a91cf3b6ea2bb2c00b0d7ae29484">kTypeCommissioningData</a> = 4
<br />
 }<tr class="memdesc:a21bf7963c4b206ccaa797c431831f9c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Thread Network Data Type values.  <a href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a21bf7963c4b206ccaa797c431831f9c1">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a21bf7963c4b206ccaa797c431831f9c1 inherit pub_types_classThread_1_1NetworkData_1_1NetworkDataTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements Context TLV generation and processing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a354b3c51fe5e9162a905759392f7a239"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t Thread::NetworkData::ContextTlv::GetContextId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Context ID value. </p>
<dl class="section return"><dt>Returns</dt><dd>The Context ID value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv_a354b3c51fe5e9162a905759392f7a239_icgraph.png" border="0" usemap="#df/d56/classThread_1_1NetworkData_1_1ContextTlv_a354b3c51fe5e9162a905759392f7a239_icgraph" alt=""/></div>
<map name="df/d56/classThread_1_1NetworkData_1_1ContextTlv_a354b3c51fe5e9162a905759392f7a239_icgraph" id="df/d56/classThread_1_1NetworkData_1_1ContextTlv_a354b3c51fe5e9162a905759392f7a239_icgraph">
<area shape="rect" id="node2" href="../../d4/d80/group__core-netdata-core.html#ga91ced18d726877f3bd4a1fbcf2871b22" title="This method strips non&#45;stable Sub&#45;TLVs from a Prefix TLV. " alt="" coords="232,353,486,392"/>
<area shape="rect" id="node3" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aeda6636db45b59e47b41830e19eb3676" title="This method retrieves the 6LoWPAN Context information based on a given IPv6 address. " alt="" coords="285,416,433,455"/>
<area shape="rect" id="node41" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6" title="This method returns a pointer to the Commissioning Data. " alt="" coords="757,719,975,757"/>
<area shape="rect" id="node46" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a719450dae714bd29bfea19b7d1eb6e9f" title="This method sends a Server Data Notification message to the Leader indicating an invalid RLOC16..." alt="" coords="238,719,480,757"/>
<area shape="rect" id="node4" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a96cd83be02e4d74593f98a86ee1a477c" title="This method compresses an IPv6 header. " alt="" coords="780,339,952,377"/>
<area shape="rect" id="node6" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#aedb6b9f843ff1752d37fab8565fd27bf" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="1842,617,2019,656"/>
<area shape="rect" id="node13" href="../../df/d94/group__core-mle-core.html#gad555ca36631eff9b978e448ecbcf8e2e" title="This method appends an Address Registration TLV to a message. " alt="" coords="534,261,709,300"/>
<area shape="rect" id="node31" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1575,352,1737,391"/>
<area shape="rect" id="node39" href="../../db/dec/group__core-mle-router.html#ga9374b4897844dc3531835008ec7749dd" title="This method returns a pointer to a Neighbor object. " alt="" coords="540,199,702,237"/>
<area shape="rect" id="node40" href="../../db/dec/group__core-mle-router.html#gaeca704855aa7b2b63c9ad55e11e94954" title="This method fills an ConnectivityTlv. " alt="" coords="785,533,946,572"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2412,321,2576,360"/>
<area shape="rect" id="node7" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a51c10ea00004ab9551618d9d76b56761" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="2137,567,2308,605"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2409,447,2579,485"/>
<area shape="rect" id="node9" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2645,453,2826,479"/>
<area shape="rect" id="node10" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2881,391,3054,429"/>
<area shape="rect" id="node11" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2925,453,3010,479"/>
<area shape="rect" id="node12" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3102,213,3258,252"/>
<area shape="rect" id="node14" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="778,209,953,248"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1561,55,1751,93"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1036,237,1224,276"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1284,453,1498,479"/>
<area shape="rect" id="node28" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1548,187,1764,225"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1546,453,1766,479"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1576,503,1737,541"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1852,163,2009,188"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1832,12,2029,37"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1819,61,2042,87"/>
<area shape="rect" id="node19" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2171,161,2274,187"/>
<area shape="rect" id="node20" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2398,105,2590,144"/>
<area shape="rect" id="node21" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2638,105,2833,144"/>
<area shape="rect" id="node23" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2157,12,2288,37"/>
<area shape="rect" id="node25" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2167,61,2278,87"/>
<area shape="rect" id="node27" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1828,452,2033,491"/>
<area shape="rect" id="node29" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2113,112,2333,137"/>
<area shape="rect" id="node32" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1850,327,2011,365"/>
<area shape="rect" id="node35" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1850,389,2011,428"/>
<area shape="rect" id="node37" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1814,264,2047,303"/>
<area shape="rect" id="node33" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2140,332,2305,371"/>
<area shape="rect" id="node34" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2424,384,2565,423"/>
<area shape="rect" id="node36" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2095,504,2350,543"/>
<area shape="rect" id="node38" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2157,211,2288,236"/>
<area shape="rect" id="node42" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="1285,811,1498,849"/>
<area shape="rect" id="node43" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a484af9ea3f5c73ec07d3e47c21a647c5" title="This method returns the Joiner UDP Port. " alt="" coords="1023,719,1236,757"/>
<area shape="rect" id="node45" href="../../de/d9d/classThread_1_1EnergyScanServer.html#aee01420f701ef44d6432280d8e4bf3e3" title="This constructor initializes the object. " alt="" coords="1038,781,1221,820"/>
<area shape="rect" id="node44" href="../../da/d96/group__config-router.html#ga13a7243b3d4c16cfc50bfbf29c42dd10" title="Get the Joiner UDP Port. " alt="" coords="2666,675,2805,700"/>
<area shape="rect" id="node47" href="../../db/dec/group__core-mle-router.html#gacc03d6eee4a8cc0fa65e15d1e65ca909" title="This method removes a link to a neighbor. " alt="" coords="540,719,702,757"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a749270f55d70ce72391410c7e504f215"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t Thread::NetworkData::ContextTlv::GetContextLength </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Context Length value. </p>
<dl class="section return"><dt>Returns</dt><dd>The Context Length value. </dd></dl>

</div>
</div>
<a class="anchor" id="ae96bcfdca23efdaf89e9ea4cd2550f81"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::NetworkData::ContextTlv::IsCompress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the Compress flag is set. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>The Compress flag is set. </td></tr>
    <tr><td class="paramname">FALSE</td><td>The Compress flags is not set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a436bddda3ee77f005a83f97f35e71bfb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::NetworkData::ContextTlv::SetContextId </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aContextId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Context ID value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aContextId</td><td>The Context ID value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv_a436bddda3ee77f005a83f97f35e71bfb_icgraph.png" border="0" usemap="#df/d56/classThread_1_1NetworkData_1_1ContextTlv_a436bddda3ee77f005a83f97f35e71bfb_icgraph" alt=""/></div>
<map name="df/d56/classThread_1_1NetworkData_1_1ContextTlv_a436bddda3ee77f005a83f97f35e71bfb_icgraph" id="df/d56/classThread_1_1NetworkData_1_1ContextTlv_a436bddda3ee77f005a83f97f35e71bfb_icgraph">
<area shape="rect" id="node2" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6" title="This method returns a pointer to the Commissioning Data. " alt="" coords="230,92,449,131"/>
<area shape="rect" id="node3" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="758,5,972,44"/>
<area shape="rect" id="node4" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a484af9ea3f5c73ec07d3e47c21a647c5" title="This method returns the Joiner UDP Port. " alt="" coords="497,63,710,101"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="758,285,972,311"/>
<area shape="rect" id="node37" href="../../de/d9d/classThread_1_1EnergyScanServer.html#aee01420f701ef44d6432280d8e4bf3e3" title="This constructor initializes the object. " alt="" coords="512,177,695,216"/>
<area shape="rect" id="node5" href="../../da/d96/group__config-router.html#ga13a7243b3d4c16cfc50bfbf29c42dd10" title="Get the Joiner UDP Port. " alt="" coords="1582,69,1721,95"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3099,445,3255,484"/>
<area shape="rect" id="node8" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2642,216,2823,241"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="1303,461,1478,500"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1558,399,1746,437"/>
<area shape="rect" id="node13" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1819,399,2036,437"/>
<area shape="rect" id="node17" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1571,336,1733,375"/>
<area shape="rect" id="node27" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1035,541,1225,580"/>
<area shape="rect" id="node34" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1020,235,1240,260"/>
<area shape="rect" id="node36" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1049,171,1211,209"/>
<area shape="rect" id="node9" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2878,209,3051,248"/>
<area shape="rect" id="node10" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2922,311,3007,336"/>
<area shape="rect" id="node14" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2110,405,2330,431"/>
<area shape="rect" id="node15" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2395,503,2587,541"/>
<area shape="rect" id="node16" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2635,503,2830,541"/>
<area shape="rect" id="node18" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1847,272,2008,311"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1847,336,2008,375"/>
<area shape="rect" id="node25" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1811,461,2044,500"/>
<area shape="rect" id="node19" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2137,272,2302,311"/>
<area shape="rect" id="node21" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2407,209,2576,248"/>
<area shape="rect" id="node20" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2409,272,2573,311"/>
<area shape="rect" id="node22" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2421,335,2562,373"/>
<area shape="rect" id="node24" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2092,336,2347,375"/>
<area shape="rect" id="node26" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2154,535,2285,560"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1312,676,1469,701"/>
<area shape="rect" id="node30" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1292,627,1488,652"/>
<area shape="rect" id="node32" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1540,553,1763,579"/>
<area shape="rect" id="node29" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2168,668,2271,693"/>
<area shape="rect" id="node31" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2154,617,2285,643"/>
<area shape="rect" id="node33" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2165,485,2275,511"/>
<area shape="rect" id="node35" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1288,221,1492,260"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a4be9b8bbcde6083724a07320f00aede0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::NetworkData::ContextTlv::SetContextLength </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aLength</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Context Length value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aLength</td><td>The Context Length value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv_a4be9b8bbcde6083724a07320f00aede0_icgraph.png" border="0" usemap="#df/d56/classThread_1_1NetworkData_1_1ContextTlv_a4be9b8bbcde6083724a07320f00aede0_icgraph" alt=""/></div>
<map name="df/d56/classThread_1_1NetworkData_1_1ContextTlv_a4be9b8bbcde6083724a07320f00aede0_icgraph" id="df/d56/classThread_1_1NetworkData_1_1ContextTlv_a4be9b8bbcde6083724a07320f00aede0_icgraph">
<area shape="rect" id="node2" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6" title="This method returns a pointer to the Commissioning Data. " alt="" coords="260,92,478,131"/>
<area shape="rect" id="node3" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="788,5,1001,44"/>
<area shape="rect" id="node4" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a484af9ea3f5c73ec07d3e47c21a647c5" title="This method returns the Joiner UDP Port. " alt="" coords="526,63,740,101"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="788,285,1002,311"/>
<area shape="rect" id="node37" href="../../de/d9d/classThread_1_1EnergyScanServer.html#aee01420f701ef44d6432280d8e4bf3e3" title="This constructor initializes the object. " alt="" coords="542,177,725,216"/>
<area shape="rect" id="node5" href="../../da/d96/group__config-router.html#ga13a7243b3d4c16cfc50bfbf29c42dd10" title="Get the Joiner UDP Port. " alt="" coords="1612,69,1751,95"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3129,445,3284,484"/>
<area shape="rect" id="node8" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2672,216,2853,241"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="1333,461,1507,500"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1587,399,1776,437"/>
<area shape="rect" id="node13" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1849,399,2065,437"/>
<area shape="rect" id="node17" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1600,336,1763,375"/>
<area shape="rect" id="node27" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1065,541,1255,580"/>
<area shape="rect" id="node34" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1050,235,1270,260"/>
<area shape="rect" id="node36" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1079,171,1240,209"/>
<area shape="rect" id="node9" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2908,209,3081,248"/>
<area shape="rect" id="node10" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2952,311,3036,336"/>
<area shape="rect" id="node14" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2139,405,2359,431"/>
<area shape="rect" id="node15" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2425,503,2617,541"/>
<area shape="rect" id="node16" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2665,503,2860,541"/>
<area shape="rect" id="node18" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1877,272,2038,311"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1877,336,2038,375"/>
<area shape="rect" id="node25" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1841,461,2074,500"/>
<area shape="rect" id="node19" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2167,272,2331,311"/>
<area shape="rect" id="node21" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2436,209,2606,248"/>
<area shape="rect" id="node20" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2439,272,2603,311"/>
<area shape="rect" id="node22" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2451,335,2591,373"/>
<area shape="rect" id="node24" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2122,336,2377,375"/>
<area shape="rect" id="node26" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2184,535,2315,560"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1341,676,1498,701"/>
<area shape="rect" id="node30" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1322,627,1518,652"/>
<area shape="rect" id="node32" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1570,553,1793,579"/>
<area shape="rect" id="node29" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2198,668,2301,693"/>
<area shape="rect" id="node31" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2184,617,2315,643"/>
<area shape="rect" id="node33" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2194,485,2304,511"/>
<area shape="rect" id="node35" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1318,221,1522,260"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/thread/<a class="el" href="../../d1/d19/network__data__tlvs_8hpp_source.html">network_data_tlvs.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/d3b/namespaceThread_1_1NetworkData.html">NetworkData</a></li><li class="navelem"><a class="el" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html">ContextTlv</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
